List skills

List skills. See the OpenAPI-defined parameters, request body, and responses below.

GET /Skill

List skills. See the OpenAPI-defined parameters, request body, and responses below.

OpenAPI description: Este endpoint retorna as skills do tenant e as skills globais habilitadas.

Authentication

Authentication required. Send your user API key in the X-API-Key header.

Parameters

This operation has no path, query, or header parameters.

Request body

This operation does not accept a request body.

Example request

curl --request GET \
  --url 'https://api.zild.ai/Skill' \
  --header 'X-API-Key: YOUR_USER_API_KEY'

Responses

StatusDescriptionResponse body
200Sucesso ao retornar as skillsapplication/json · array<SkillDto>

Example response (200):

[
  {
    "id": 0,
    "tenantId": 0,
    "name": "string",
    "description": "string",
    "content": "string",
    "enabled": true
  }
]

Data models

SkillDto
PropertyTypeRequiredDescriptionConstraints
idinteger · int32No——
tenantIdinteger · int32No——
namestringNo—nullable; maxLength: 64
descriptionstringNo—nullable; maxLength: 1024
contentstringNo—nullable
enabledbooleanNo——